commit e82fddd3e962189ad4493e2bf98ba533cf36d8c3
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:49:24 2012 +1000

    nv: bump version to 2.1.20
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 0d4ea629bcfd72c7242dadbd2d71d9a7034a9467
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:48:56 2012 +1000

    nv: add missing fbman includes.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 86e83109d6309455e505d636e7760942177b1519
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-nv: bump to version 2.1.19
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e5e3e733d933fc3accdd6c3c7a02df5950530cae
Author: Dave Airlie <airlied@gmail.com>
Date:   Mon Jul 16 18:48:32 2012 +1000

    nv: make XAA optional.
    
    This allows nv to build without XAA.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 713e9501b87465cf2a62c27605b6fc4a454dad95
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jun 7 15:52:16 2012 +0100

    nv: port to new compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit b3d61828837661c9b383378a7d6006752659108b
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 16:57:40 2011 -0500

    Fix for new vgahw ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 5b7f07f8171dd5ca4f13d7da25d7d91140b036e1
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 16:55:30 2011 -0500

    Make failure to XAA non-fatal
    
    Fall back to NoAccel on G80 since there's no shadowfb support there,
    otherwise fall to shadowfb.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4b03459a835ee43d940054cbdaefa7c330bff385
Author: Nicolas Kaiser <nikai@nikai.net>
Date:   Mon Apr 25 04:26:33 2011 -0700

    remove duplicated includes
    
    Remove duplicated includes of guarded headers.
    
    Signed-off-by: Nicolas Kaiser <nikai@nikai.net>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 2b17d1ac579ee426f631f4c62c9f0cf617a06e51
Author: Cyril Brulebois <kibi@debian.org>
Date:   Tue Mar 1 17:09:10 2011 -0800

    Fix compiler warning.
    
    Get rid of this with CFLAGS="-Wall -Werror":
    |   CC     g80_display.lo
    | cc1: warnings being treated as errors
    | g80_display.c: In function ‘G80CrtcSetPClk’:
    | g80_display.c:216: error: unused variable ‘i’
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Tested-by: Aaron Plattner <aplattner@nvidia.com>

commit 95108089e22d33723488baba22467f2f3c4f1bf6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:53:33 2010 -0700

    Correct copyright date in previous commit
    
    Oops, pasted in the new template and forgot to restore the original date
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d7727e5307c5c3fd0dbc51394893385cb3b01101
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:39:39 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cb93a9b513b5814b18594de7a3b67bb225fb9c34
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:51 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 41de275248cf02db8cf0d4ab5df7596b23ea573d
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jul 30 14:14:59 2010 -0700

    nv 2.1.18
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 470c5c662f25d4e27b7d8d25974498aaaae1bf2c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jul 19 17:01:59 2010 -0700

    Remove RANDR_12_INTERFACE checking, always defined.
    
    RANDR_12_INTERFACE is defined in xserver/randr/randstr.h since version 1.2.
    This driver only configures against xserver 1.3 or higher.
    
    Reported-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit fb82b1725ffdbea78557ea03e0004eef7ef346c1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 91d89916d47b76882769d5f977e75f4043202ba3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c2efd50238a529f4e58627dbf0cb516088395f9d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7e6c5ff1692cf3c6697c6cb6c9c8d437724ce7f5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:22 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ead1ae34120260d4efb2d80d8aee63d790807189
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 976120265bf1a38975b957eed2f2ced2fa463954
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:57 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 91a354748c18c0368932df6ab1f9ebab17780338
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 67b7e53a3a745fc84e3aacda883c17758d4c7927
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d35946f7f5b586f6fae91231f88d112867edd20b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e81a04c16ab8683a118bcf9c47426ddee3ca6637
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:29 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit 90ee9cbb11ebe7f087b023fe1f6f0cfe1e94d5fd
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jul 19 15:52:06 2010 -0700

    Add a missing " }," pointed out by Johannes Obermayr.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit fd341048bac3d7181bcb37b51e59118babf9885c
Merge: 6d2431a a2dc32c
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jul 19 11:34:39 2010 -0700

    Merge branch 'master' of git://soprano/~aaron/xf86-video-nv

commit 6d2431a37ffd7a976e9046424a6c1f3c47ded2df
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Jul 17 10:52:50 2010 -0700

    The /compat code is no longer required.
    
    This was used at one point in time to backport the modes code from server
    1.3 to server 1.2. When the tarball was created, whatever modes code
    was on the developer disk was included.
    
    The server 1.2 as shipped in the tarball on the web does not contain the
    modes code. It was added just after and found in git branch server-1.2-branch.
    
    The modes code was initially included in version 2.0.95 and still compiles
    with server 1.2. As of version 2.1.9 it no longer compiles.
    Subsequent versions are not backward compatible and probably not meant to be.
    
    The XRandR wiki points to articles saying that XRandR 1.2 first appeared in
    server 1.3 and nv 2.0.95. Given that modes code in current server version
    does not compile with server 1.2, and that the modes code is included in
    version 1.3 and up, might as well stop including this modes code in the driver.
    
    This patch makes the driver requiring server 1.3 or later.
    
    This will solve the issue where "make dist" fails "out of the box"
    and requires manual fix-up on the build machine which is documented
    in the compat/README file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit a2dc32c5c900cbeb3fd2f99d38b64004f0ac7876
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jul 19 11:27:52 2010 -0700

    Add PCI table entries for the GeForce 315
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit c383cc20dd81fa692c73968107c125787051c14d
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jul 14 07:52:42 2010 -0700

    Unlike for lspci and the kernel, X bus IDs are decimal instead of hex.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit b9f1251a989c5bf69f47746a3ca4021db4798a03
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jul 9 12:53:28 2010 -0700

    Bring NVKnownChipsets up to date.
    
    Based on a suggestion from Renzo <rfabriek@nerdshack.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 0f220eb6934edc9a1d2d7d8c11573cdc8a9280e3
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jun 2 16:06:40 2010 -0700

    Fix the kernel driver error reporting to be a little more verbose.
    
    Commit 3e9f7704122e0685ce83f7d3d3630e8a07293671 added printouts when the driver
    detects that a kernel module is attached to the given PCI device.  However, it
    uses ErrorF and doesn't print any identifying information about *which* device
    has the problem or even which driver is complaining.  Fix it to use xf86DrvMsg
    and print the driver name and PCI device and bus IDs.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 4e1efd5222ffb8328b12f63e4d8083298b44dd17
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jun 2 15:39:35 2010 -0700

    Depend on libpciaccess >= 0.10.7.
    
    This is the first version to contain pci_device_has_kernel_driver.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 78ffecce368868f7b363e7f520d163e2e4330adc
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jun 2 15:29:57 2010 -0700

    Revert "Refuse to bind to a device which has kernel modesetting active."
    
    It was superseded by 3e9f7704122e0685ce83f7d3d3630e8a07293671, which depends on
    libpciaccess and not libdrm.  This is better, because the server already depends
    on the former, while the latter is optional.
    
    This reverts commit 17ab5dbea69e690cbf78c25040db518471e0887f.
    
    Conflicts:
    
    	src/nv_driver.c

commit 133f7c4d51b3c7d7e1e7af80056947d3a7ec2097
Author: Ben Skeggs <bskeggs@redhat.com>
Date:   Fri Aug 28 09:43:16 2009 +1000

    nv: refuse to load if there's a kernel driver bound to the device already
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 6a86c607b68e016390553ec91cd2e39b65364a9a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 09:50:31 2010 -0400

    COPYING: update file with Copyright notices from source code.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4fff9d3f0a27de68bd3190a98558a3de1b7a85d2
Author: Tiago Vignatti <tiago.vignatti@nokia.com>
Date:   Tue May 25 13:32:18 2010 +0300

    Don't use libcwrappers for calloc and free
    
    Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>

commit 17ab5dbea69e690cbf78c25040db518471e0887f
Author: Marcin Slusarz <marcin.slusarz@gmail.com>
Date:   Fri Apr 16 10:19:19 2010 -0700

    Refuse to bind to a device which has kernel modesetting active.
    
    Touching directly the hardware while kernel modesetting is active
    breaks console output.
    
    Patch almost entrirely based on VESA patch by
    Christopher James Halse Rogers <christopher.halse.rogers@canonical.com>
    
    Signed-off-by: Marcin Slusarz <marcin.slusarz@gmail.com>
    Tested-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>

commit 250a3a7cee1a4bbfc432ab6da5b986e889207526
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Mar 10 18:31:08 2010 -0800

    Update MCP6x supported products.
    
    Use the official names for 10DE:053B and 10DE:053E.  Add some additional
    product IDs and update the documentation.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 347625b8e187c4ab696cd1dad95e49c31ced12f6
Author: Markus Strobl <markus.strobl@gmx.at>
Date:   Wed Mar 10 18:26:33 2010 -0800

    Bug #19817: Add support for GeForce 7025 and 7050.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit e6b046329480a26ecebadf4314673db3f107f83e
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Mar 8 16:49:24 2010 -0800

    Bug #24787: Don't crash if LVDS initialization fails
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 71321d0ddecf1ab5327c754353d31db5d1f3c6bf
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Mar 8 13:34:20 2010 -0800

    nv 2.1.17
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 467f0f3890622e57607b103b07e4f265cf999b1e
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Mar 8 13:16:26 2010 -0800

    More products
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Andy Ritger <ARitger@nvidia.com>

commit e34a53167d6a142949b3e0258dc336dc297368aa
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Mar 5 14:27:31 2010 -0800

    G80: Cast register reads before shifting them to avoid truncation to 32 bits.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 9378ecd34ad71083602232b56e8810d6cd39b518
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Mar 3 20:29:55 2010 -0800

    Bug #19545: Add support for MCP7x-based integrated GPUs.
    
    Based in part on an idea from Ben Skeggs.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Andy Ritger <aritger@nvidia.com>
    Reviewed-by: Christian Zander <chzander@nvidia.com>

commit 49349f6e47b7315088a80789f134895677f57287
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Mar 2 12:53:54 2010 -0800

    G80: Log unrecognized outputs
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Andy Ritger <aritger@nvidia.com>

commit 7b01fc8f4ba1182370980f54a34bdb959e291e02
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Mar 1 14:26:51 2010 -0800

    Bug #26612: Separate LUTs per output.
    
    Wire up the RandR 1.2 gamma_set hook.  Call it from G80SetPalette like the Intel
    driver does.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Andy Ritger <aritger@nvidia.com>
    Reviewed-by: Christian Zander <chzander@nvidia.com>

commit e6f4c9c6379b20b9fee50489d6afd05867c35967
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 13:46:50 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 893cee2aeda8074de3d5c99df90e23d6ec2217d2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2b69212ff84e8b815d6915dc81644280cc92cbe7
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Dec 15 10:48:33 2009 -0800

    nv 2.1.16

commit 99ed1c83f78b3b947d95aa9f0d3b5555d9a2a769
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Dec 15 10:17:27 2009 -0800

    New board names
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 5eb01497139ead89c7262a6055a4fd293c5beb3e
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Dec 15 10:16:51 2009 -0800

    Remove an unnecessary (and typo'd) gitignore comment

commit 85638b2f0acc418aa77241dd123f7de76ea3ce8f
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Dec 15 16:42:15 2009 -0500

    g80: Add a no-op gamma hook so we don't crash on 1.7 servers
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit d3ba2a45ed21f60667716be0cdcb6a7888263ffd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 8664df401ff26718608e0bfc319514387d232771
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit bbb016dfdca06c34bdc163ee772284a5fc1f1139
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit ee24fd1773268e0a593c7de760bafa282f3489a2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:21 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 57c505852bcf38dc3a3e6a9d603e4a8fd9ed3b80
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 13:02:49 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit f07ed67a9e14ddc42a96756fbe69cf927c308d1c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:17 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit b30ec386abb7219be50c7aa42db9f08f12fe5c8c
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Nov 10 12:17:23 2009 -0800

    More new boards
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit f050096ad3c9ef4484b69c22217efe0557f16e35
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Nov 9 16:16:19 2009 -0800

    New boards
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 0250f0d7ebe30368c5a63809ed1f58673493627c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 11 12:24:18 2009 +1000

    nv 2.1.15
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5486e55c9feb5734b967c2618e0c96cd4a2322ce
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 18:37:42 2009 +1000

    abi: fixup so the define is picked up

commit 85b5ff3fdf3141ef01604bd7eb8e71e30d24717f
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:40 2009 +1000

    nv: change to using ABI version check

commit 445498d2cc977b8c4f22fca881c75637dc7b058a
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:32 2009 +1000

    nv: update for resources/RAC API removal

commit 957b8c1a240884b26ee5b91856c251622cc0b2a7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:49:24 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e8d4dd85de02c689d3e0cc86a99aae6e61a7d17e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jul 9 14:07:09 2009 -0400

    xf86-video-nv: use XORG_CHANGELOG macro to create ChangeLog. #22611
    
    Adding the macro in configure.ac and use it in Makefile.am
    Refer to: https://bugs.freedesktop.org/show_bug.cgi?id=22611
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c56b92149c6291e7ef96b30a4fc7bee30073b90c
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Jul 2 12:03:13 2009 -0700

    Bump to 2.1.14

commit 05d2b851b96c2f1b3223f8d5f40b8ee074e5f23f
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jun 26 17:53:53 2009 -0700

    More new chips

commit 68c2914f1775541784e6cf88019960342d8433bc
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jun 12 17:34:43 2009 -0700

    Fix modesets on certain GPUs that were broken by the previous commit.

commit 36eb96854b34bee6b65a2b2d4df25f53b47194e4
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jun 10 18:49:32 2009 -0700

    New chip support.
    
    Part of the G80DispPreInit change suggested by <shenyn321@hotmail.com>.

commit 23ca1b0d4324ae65a0c2a39cc877d318063988b1
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 15:11:20 2009 -0400

    Remove useless loader symbol lists.

commit c8d6f7aa7c99a1b71289f8e8e07becc10f61f379
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri May 15 16:24:57 2009 -0700

    More chip names.
    
    Add support for the following previously unsupported chips:
      * 0x0658 - Quadro FX 380
      * 0x0659 - Quadro FX 580
      * 0x065C - Quadro FX 770M

commit 29acf7c970d12c1dfd7bf6c7a42fe2448aa7f3d7
Author: Yinan Shen <shenyn321@gmail.com>
Date:   Wed May 6 19:14:33 2009 -0700

    G80: Fix incorrect I2C port access for ports above 3.

commit bf18cd4842c33df61b03c3d4e0f00e34485fb957
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue May 5 01:29:08 2009 -0700

    Fix a dumb typo in the chip name entry for the GeForce 9800 GTX+

commit df87eaf191209b0f1619ea74dc9fb0314b6fd288
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Apr 7 13:40:36 2009 -0400

    nv 2.1.13

commit c0cc7d1247798867c695aeddcffe88edacbb6c7c
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Apr 7 13:34:26 2009 -0400

    Remove README.NV1
    
    There's no nv1 support here, so.

commit b278aca7d7b92b7fd62045d1aab44d78f694d608
Author: Bryce Harrington <bryce@bryceharrington.org>
Date:   Thu Mar 12 16:56:57 2009 -0700

    Add missing pci id for GeForce 7100 GS
    
    Signed-off-by: Bryce Harrington <bryce@bryceharrington.org>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 74758ef3b184a37d211572d0deb826bd30d0de13
Author: Chris Ball <cjb@laptop.org>
Date:   Fri Feb 27 10:55:11 2009 -0500

    Revert "Build fix: set EXA_DRIVER_KNOWN_MAJOR=3"
    
    This reverts commit 492513bf047f7660ef9fd32fda7ebc28704079be.
    The EXA developers have backed out this ABI bump.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit 492513bf047f7660ef9fd32fda7ebc28704079be
Author: Chris Ball <cjb@laptop.org>
Date:   Tue Feb 24 23:44:47 2009 -0500

    Build fix: set EXA_DRIVER_KNOWN_MAJOR=3
    
    EXA in server HEAD requires this now.  Since this driver doesn't
    use {Prepare,Finish}Access or UploadToScratch, the change is safe.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit b9140a510efa49b36973d02f1e110d33d22e653d
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Feb 3 13:28:07 2009 -0800

    Add NV_/RIVA_ prefixes to fix build warnings.
    
    xserver commit 5e0967f5 pollutes the namespace by adding a "SetBit" macro to
    inputstr.h that conflicts with the preexisting ones in nv_type.h and
    riva_type.h.

commit 3890a0aefc4c133999a10fad9d32745b635634ac
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:43:04 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 302ffbefb880afb7e297c4a41ed3c106b7623fdb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:31:55 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit 6c6511f4bd933410778e93429bd37e2f24b78618
Author: Chris Ball <cjb@laptop.org>
Date:   Mon Nov 3 20:08:32 2008 -0500

    Build fix, s/pNv->/pRiva->/.
    
    Fixes 52c034f5a41195f2b3193ec8c18b3f4ed7a763a3.

commit 52c034f5a41195f2b3193ec8c18b3f4ed7a763a3
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Nov 3 15:01:58 2008 -0500

    Do E-EDID if built against a server that supports it.

commit b5f33108fea77280c9acd219954f20401f760faf
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Oct 27 17:54:36 2008 -0400

    Adjust the nv34 panel tweak for Toshiba Tecra M2.

commit e387bf31aae78d4447b4af555a8d09f79f72e6e7
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Oct 17 20:45:18 2008 -0700

    Only match PCI display devices in our display driver.
    
    Apparently the server needs the driver to tell it that no, we really don't want
    screen sections on our NIC, USB hubs, bridge devices, etc.
    
    Stop whining about PROBE_DETECT in G80 PreInit and just bail out instead.
    
    Bug #18099: Xorg -configure tries to create a screen for every nvidia device.

commit 27e2a98531e8b190a73d126508400283e0fb02df
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Aug 28 11:19:04 2008 -0700

    Bump to 2.1.12.

commit 75bcdc7ab1f3a4b715aad96e9739bedf4bc33321
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Aug 28 11:18:29 2008 -0700

    G80: Fix a CPUToScreenColorExpandFill bug introduced by commit 2e0416c.

commit c3aa93fa478d78f8d57c5dbfc871eec84f7f7bd2
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Aug 26 22:27:46 2008 -0700

    Bump to 2.1.11.

commit 36af14dfdb1feb4d5d47b1542803f1d292585fdf
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Aug 26 13:47:04 2008 -0700

    One more missing GPU name.

commit 02001d2298dc61dcd904bc149a64147b2dadba9f
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Aug 25 10:31:01 2008 -0700

    More chips names.

commit 7884f5918715a8df35cd0d7601cb50c7c5b56e70
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Aug 24 00:23:54 2008 -0700

    Bug #15309: Set the pixel clock even if the hardware doesn't think it needs it.
    
    Fixes a problem where switching from DVI to VGA hangs.

commit ff32eb25f8edde7343da3d4782f0f59896515ebd
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sat Aug 23 10:41:00 2008 -0700

    Fix warnings.

commit c2128e5a8682e407b37f88c67a1709309247fc5d
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sat Aug 23 10:36:37 2008 -0700

    G80: Log the i2c port number for LVDS, when there is one.

commit f485c553c23c67fd060fdea82f57128fd4a1749e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 9 15:23:49 2008 -0700

    Print error message when pci_device_map_range fails

commit 319ee20c9bd4f764297cf252723a23bb6a95051a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 9 15:23:14 2008 -0700

    Fix pciaccess READ_LONG to work with Sun compilers
    
    Sun compilers don't allow nesting {} inside () apparently

commit 2e0416cf8970ab4e3065a0109129b2121982c031
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Aug 3 19:29:34 2008 -0700

    G80: Fix some ROP bugs.

commit 9b727b8384d51e3657bb50efa090adde91c17a73
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Jul 24 18:03:31 2008 -0700

    Move hardware cursor initialization to after AcquireDisplay.
    
    The original order works fine when the server starts, but on the second server
    generation the server tries to call G80CrtcHideCursor before the display engine
    has been initialized, causing a hang.

commit 6cd80057fadbb8d63d3e1a623515206800fefc8e
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jun 30 16:26:09 2008 -0700

    Bump to 2.1.10.

commit 3f43093cf0c0338a1a479ed4ba2fad3f5f04ad69
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jun 30 16:25:54 2008 -0700

    More G8x chips.

commit 69aa963d7ab8256d0e932e1a5a98599f168b8836
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jun 30 13:30:07 2008 -0700

    Fix build by using CARD32 instead of uint32_t, like we do everywhere else.

commit 91d8778176f1db54c8222a95315610a043198648
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Jun 29 21:26:57 2008 -0700

    G80: Handle extended I2C ports and LVDS panels with DDC-based EDIDs.

commit db768cf105956fbea39383a2214227782bf827b0
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Jun 22 13:01:21 2008 -0700

    Add a note that MODE_PANEL really means "larger than BIOS-programmed panel size".
    
    Bug #16085.

commit fb10793d2607d30077a9861b575c108b6c4101ca
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Jun 22 12:55:10 2008 -0700

    Add new chips to the man page and fix capitalization of "Quadro".

commit 2fdcda8ea62eba1b7885f0a75249884715936247
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Jun 22 12:45:31 2008 -0700

    Replace copyright notices with stock MIT X11 boilerplate.

commit 2df11aafe4eae33aab06d902ddeed6bd996b1575
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jun 16 10:07:07 2008 -0700

    GeForce GTX 280 and 260 chip names.
    
    Note: These GPUs already worked with this driver, this change just adds their
    names to the table.

commit 745a1d2d318eef0a6195fe08e4a43471b6d0a662
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Jun 5 20:41:43 2008 -0700

    GeForce 9 mobile chips.

commit cca0a00c89730c8338af44e62438babc93f078fb
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri May 9 18:45:46 2008 -0700

    Bump to 2.1.9.

commit 9c98d2ca942049322688b5796a2ed041fd48282d
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri May 9 18:44:57 2008 -0700

    Yet more G80s.
    
    Sometimes I wish we made fewer products.

commit cb83fbdfa22aa408e6692256cd44b78fef53e801
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri May 9 18:31:07 2008 -0700

    Add an option to allow validation of dual-link DVI modes.
    
    These modes don't work at bootup (i.e. power saving) configuration on all GPUs,
    so they're still disabled by default.  This option allows users to enable them
    in case they actually work.

commit 8db2d4e63508f59299098e092ae85e543cf61d03
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Apr 27 16:23:40 2008 -0700

    More G80s.

commit 4aa43a2b66e473f9154f1582f5cf0e4b4596e485
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Apr 27 16:23:28 2008 -0700

    Fix a few startup bugs.

commit 0ddee2347109e8c64bd2cb4693b97c3fa3aab94b
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Mar 25 16:35:05 2008 -0700

    Sort the IsSupported table.

commit c0c7d610800161976fd7dce064beae05d2d4195b
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Apr 28 14:43:12 2008 -0700

    I win at C.

commit b62a7cf70db356918aa04fb3f30bf1fd1142b9d5
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Mar 8 23:43:58 2008 +0100

    Makefile.am: nuke RCS Id

commit f88ef390985babdb2b489cf52bfa587e1879db38
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Mar 7 12:32:40 2008 -0800

    Bug #14885: Add missing static keywords.

commit 4965498f238fbe3d8a0d0b84bf8bceb9237e472a
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Mar 6 13:53:54 2008 -0800

    Bump to 2.1.8.

commit 806331f411df991dcd1a48108f9ff4e9bb480969
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Mar 6 14:31:16 2008 -0800

    Add xf86gtf.c to the compat file list.

commit 09d154246ab55846878e34bc133b08c11765c45b
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Mar 6 12:40:23 2008 -0800

    More new chip names.

commit fa97c4c2c69f91ac5a034ef2f62287b7cd5b2bde
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Feb 26 12:24:05 2008 -0800

    GeForce 9600 GT.
    
    Note that the 9600 GT should already work in 2.1.7.  This change just adds its
    name to the list.

commit a87b93d5c5b4d1a65a60dad271b06a2d560b71b8
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Feb 19 14:17:57 2008 -0800

    G80: Fix connector mapping and TMDS initialization on certain GPUs.

commit 3f2a1898fedbada151da31fc163ae54daac0e896
Author: Søren Sandmann Pedersen <sandmann@redhat.com>
Date:   Wed Feb 13 10:43:28 2008 -0800

    [PATCH] Bug #14484: Fix G80SorSetProperty return value.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit f8b24e5c729c9d3321282b065f4ef79b177f928d
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jan 25 18:23:48 2008 -0800

    Bump to 2.1.7.

commit d2367140ad1fe96bce5e780332d21999e5aa31bf
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jan 25 18:15:12 2008 -0800

    Fix warning.

commit e844f10c7b5e41330f2bcb884ab448641dd5bb06
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Thu Sep 27 00:22:04 2007 +0200

    [PATCH] Enable backlight toggling for Dell Inspiron 8200 GeForce2 Go
    
    GeForce2 Go and similar cards are explicitly excluded from the
    NVBacklightEnable() code (purposedly, as the code used for the other
    chipsets on x86 has no effect.) This causes the backlight to remain
    active on laptops equipped with such a card, even when DPMS modes were
    active.
    
    Fix the issue for Dell Inspiron 8200 by introducing the proper
    registry writes to toggle the backlight.
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 02e431eb0969cabb67f3e4b1cb1a2d7fc5f697f0
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Thu Sep 27 00:08:28 2007 +0200

    [PATCH] Add macros to retrieve the subsystem vendor/device
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>

commit 3449da7a7baf7365c247caa9b4344316a961ec41
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Jan 24 20:51:29 2008 -0800

    Update know card list date and add G92 to the manpage.

commit 62ff129257161db99dc4056cf16aa196ccfbc921
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jan 23 21:32:51 2008 -0800

    Fix more load detection false positives.

commit 28f34db87cefdc6b327a98db43da5b4fefe3bdd8
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jan 23 20:23:32 2008 -0800

    New chips.

commit 64721629c3908556fcf8c9941feea1e3b961bf00
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sat Dec 1 16:02:37 2007 -0800

    G80Create{Dac,Sor} return pointers, not Bools.

commit 7f281be7e53ac274016a6af6b2b5dc6f8bddb810
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Nov 30 17:37:20 2007 -0800

    Bug #7309: Delay after disabling cursor to avoid wedging the cursor hardware on GeForce 6150.

commit 100f5e24da2cbc79ed761083daa9a00b107008ab
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Nov 26 13:14:40 2007 -0800

    xcalloc needs 2 args, Xcalloc takes one - yay for inconsistency!

commit e9ada35b4d24abd44bc5d811b59c6f25af5984f4
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Nov 21 15:35:06 2007 -0800

    Build fix for recent removal of ALLOCATE_LOCAL and DEALLOCATE_LOCAL

commit d483ecd851bb84014f1fa86f0ada4540b3ad801e
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Nov 13 17:18:10 2007 -0800

    G80: Reduce load detection false positives.

commit 4da88cb3dd13a86c477389c5b2d42d7d40ce2023
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Nov 2 16:56:35 2007 -0700

    GeForce 8800 GT.

commit 58dbd31953d0e2f30d06b3fc5118a016a17666fe
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Oct 23 13:17:27 2007 -0700

    Bump to 2.1.6.

commit 0887084730af8428e902dabc6e00c505f383f57f
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Oct 14 14:15:07 2007 -0700

    G80 bug #12397: Fix LVDS detection on certain laptops.

commit 1003bcbe4381201f1d7b34dc1af72f57b2943b67
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sat Oct 13 14:36:49 2007 -0700

    G80 bug #12637: Unwedge the hardware if the BIOS left it stuck.

commit 1e12277650dff10b1083915cb73961525e21a471
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sat Oct 13 13:50:04 2007 -0700

    Remove unused headers.

commit 7a124edd1fcc0be6bdad489b0e8d7db3efe44b14
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Sep 21 18:55:21 2007 -0700

    Bump to 2.1.5.

commit fee39378ee291a715c607b8600c5380dfa80d97e
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Sep 21 15:08:46 2007 -0700

    Fix stupid, stupid typos reported by Alan Coopersmith.
    
    Thanks!

commit 5ca45e600dcea17dba7cf078de49aef3821ea687
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Sep 21 12:16:56 2007 -0700

    Bump to 2.1.4.

commit e58504defab08492cc60c36d5dae4f5c4c8c1caa
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Sep 17 15:44:52 2007 -0700

    Fix uninitialized variable warning.

commit 5b56964a29b326d28bcf3a51e98443d426df58bd
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Sep 17 15:41:26 2007 -0700

    New products.

commit deff2965ef35260b4b7c4bc23718833bec7143b3
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Sep 17 01:12:02 2007 -0700

    libpciaccess support.

commit b2db7d414400d80a5567d71eed9a7e94f1043a20
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Sep 11 22:51:20 2007 -0700

    G80: Fix LVDS detection on some laptops.

commit 07fb9f0b00fafe18bd33bddff23cbb4325eb50f8
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Aug 27 12:12:44 2007 -0700

    Add release.sh to .gitignore.

commit 69f7a57cd9baabbbee7b7665c3c2c2b91c056a04
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Aug 15 17:12:11 2007 -0700

    Bump to 2.1.3.

commit 3bb842cb55fd201a559bef19c06db4aee0485d26
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jul 24 21:21:06 2007 -0700

    Nuke old RCS tags.
    
    Fix the ends of files.  Update the known cards date.

commit 08b68473351081fe1ed96ba7e206ed0d301b8a91
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jul 24 20:36:04 2007 -0700

    G80: Allow DVI scaling.
    
    Revamp how the scaling code works.  When a mode is set on a DVI output,
    determine the current preferred mode and scale to that.  Add a new scaling
    option, "off", which disables scaling and scans out the actual timings in the
    mode to be set.

commit f0ebb42ee94eac4b294d12d02f4406a444b347ff
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jul 13 13:17:52 2007 -0700

    G80: Add an LVDS flat panel scaling property.
    
    This property controls how non-native resolutions are scaled to the native
    resolution.  Valid values are:
        * center: 1:1 pixel ratio with black borders to center the image.
        * fill: Scale image to the native resolution.
        * aspect: Scale image to fit the screen, adding black bars to preserve
          square pixels.
    Defaults to "aspect".  Change with "xrandr --output LVDS --set scale <foo>".

commit ec78618d685759a39d386e9929661037b167fe68
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jul 10 11:54:33 2007 -0700

    Bug #4686: Fix a minor GeForceFX + flatpanel + video overlay corruption issue.
    
    This change was originally in XFree86 CVS, nv_dac.c version 1.36 but got
    reverted accidentally.

commit 493822998184a1d79d6774686983cbd41930f253
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jul 10 09:58:46 2007 -0700

    Bump to 2.1.2.

commit d0d4e37accc697108e03c2ee7fdc0edf1f309620
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jul 10 09:48:19 2007 -0700

    More GeForce 8 series mobile chips.

commit e77a2d9b62bc65062e7e2167642be5ab75ac4864
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jul 10 00:41:21 2007 -0700

    G80: Add a dithering property and corresponding config file option.

commit c1503c864d495f8a3e5380fed5cb8ca5e21a3750
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Jul 8 01:28:42 2007 -0700

    GeForce 8600M GT.

commit 42dffde988176a3f85b0586ecb8d672b74050760
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Jul 8 00:53:00 2007 -0700

    Work around more MacBook wackiness.
    
    Turn off more corrupt the framebuffer mode.  Don't mess with the pixel clock for
    LVDS as long as we're trusting the VBIOS-programmed timings.

commit bc439899f323410b0549068cd88348e7fb62866b
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jul 3 14:03:59 2007 -0700

    Put the GPU into don't corrupt the framebuffer mode to work around MacBook wackiness.

commit 0f93ad0e2af26b4e2381f337b58d3a5e50302664
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jul 2 09:01:12 2007 -0700

    Bump to 2.1.1.

commit 4ff01787a6640bf76cc34a51c99227845dc4678e
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sat Jun 30 21:52:08 2007 -0700

    GeForce 8400M G.

commit 63eb1a4aa402ac3bf117634c3c9270261c6a4258
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sat Jun 30 21:51:15 2007 -0700

    Support configs with BAR1 < total RAM < 256 MB.

commit 209c84e788faf3c4d0ce053e5f29ff5f5b798628
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jun 18 13:08:31 2007 -0700

    Bump to 2.1.0.

commit 24770ccf880f056bc0db9464249caca10692fb56
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jun 18 12:36:29 2007 -0700

    Fix some random colormap corruption on DFPs with certain pre-G80 GPUs.

commit 4e56465a79587c4df6bf1dfd7cc87a4f22707a8f
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Jun 7 18:28:56 2007 -0700

    G80: Mode validation.
    
    Disable LVDS modes larger than the native resolution.
    Disable dual-link TMDS modes for now since they don't work reliably.

commit 6b71721439802bffd715602af3036083ff442449
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jun 4 23:15:42 2007 -0700

    G80: LVDS support.

commit 70b304cd0df0af515ce8414559f28a7ca7825517
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jun 4 22:38:14 2007 -0700

    G80: Rearrange HW video timing computations.
    
    Compute the HW parameters in G80CrtcModeFixup and stash them in adjusted_mode.
    Move some register writes into G80CreateSor.

commit 402b1d1526f0dacd2e3a2564cc89958c32d3100e
Merge: 1f4790a 9b8470e
Author: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Date:   Sun Jun 3 11:18:50 2007 +1000

    Merge branch 'master' of git://anongit.freedesktop.org/git/xorg/driver/xf86-video-nv

commit 1f4790adcafd402c84a4a761c870a26a5178a4ff
Author: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Date:   Sun Jun 3 11:16:55 2007 +1000

    Fix build. Including xf86DDC.h before we include xf86.h doesn't fly
    and it's not necessary anyway as it's pulled in by g80_type.h
    
    Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>

commit 9b8470e9c81e6ce2c8cd69942fb2ffd2d4c06102
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed May 16 14:45:36 2007 -0700

    Bump to 2.0.96.

commit 51c6425bea6e4ef02f7b76e58e759f99b0e993e8
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu May 10 17:09:36 2007 -0700

    Add rudimentary VBE-based dual head support for pre-G80.

commit 0415ecaead518123ac6774300241867883a6dd57
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu May 3 11:54:28 2007 -0700

    Bump to 2.0.95.

commit c511debc07e96e66335cfa82f1db8207ff5bb690
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed May 2 15:23:14 2007 -0700

    Fix some harmless warnings.

commit 100d7c7393eda92e5b26ac4f4cc33a8dce86c364
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed May 2 09:33:33 2007 -0700

    GeForce 8800 Ultra

commit ed9f98853a781344c10cb801214917e13bddf27c
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Apr 24 20:57:43 2007 -0700

    Remove some old stuff from README.G80.

commit 88d44d5e4fd0025c30e9d67b55c603c59bd1c0c1
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Apr 24 20:45:52 2007 -0700

    Get EXA resizing working and document it.

commit 29433b76969b73a2a22081bf965bb0cdbaad75af
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sat Apr 21 21:43:06 2007 -0700

    EXA: Add solid, copy, and UTS hooks.

commit 339e30cb49a48344ec7b0dfd701b958b07ed32e5
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Apr 16 02:23:26 2007 -0700

    G80: EXA infrastructure.
    
    No acceleration yet.

commit c6e4105ce40ef053e026cc0ffe4925ab568ea700
Merge: 5d9b75b 4ff648c
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Apr 24 15:43:48 2007 -0700

    Merge branch 'randr-1.2'
    
    Conflicts:
    
    	configure.ac
    	man/Makefile.am
    	man/nv.man
    	src/g80_display.h
    	src/g80_output.c
    	src/nv_driver.c

commit 4ff648c85f8aa90b343b7e2df176c0511b3cdaa5
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 20 16:24:15 2007 -0700

    Depend on server 1.2 or higher.
    
    Remove support for building with the libc wrapper or without the Drawable XV
    argument.

commit 48f9a6f94550acea4fce81d2539a6508049c1551
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 20 15:37:09 2007 -0700

    G80: Remove AdjustFrame printout.

commit 5d9b75b432dbc525e10c1c00436a1820456f6fb4
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 20 15:23:26 2007 -0700

    GeForce 8300 GS and GeForce 8400 GS.

commit 7a07a765c2a3816e8cd0487e8f66bc767024142d
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 20 14:30:45 2007 -0700

    Steal RandR1.2 compat code from the Intel driver.
    
    Spruce it up a bit so that --with-xserver-source works even if there's a local
    compat copy.

commit 2971fd0a18e947c5d39d6af78b0b77d6e4fe00d8
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 20 13:40:33 2007 -0700

    Remove unused g80_ddc.h.

commit 1261f12714746dcb2b58bc04c373594ace4f053b
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 20 09:01:02 2007 -0700

    Add new chips to the manpage.

commit ae582bdd2107d7e0106d1d5a9a9d6b9e39f1c901
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 20 00:13:31 2007 -0700

    Always support G80.

commit b4e26dfcc01b2816b6f8445fa8e9388b5e254df9
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Apr 17 15:00:24 2007 -0700

    Bump to 2.0.2.

commit b23eeec2bebbbe1939366a8296565ae0120ea6da
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Apr 17 14:59:41 2007 -0700

    G80: Add a basic README.

commit b68f3ada7bd857095c7652c175a0ba18bf45801f
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Apr 17 12:47:11 2007 -0700

    Add GeForce 8600 and 8500 PCI IDs.

commit f7c62016f8bf9ced7d56f74ce26e13b6df040379
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 13 23:02:35 2007 -0700

    G80: Get rid of debug printouts.

commit f1cda5eaba9cbbfeb913d249d014586a6e8fd7a6
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 13 22:29:57 2007 -0700

    G80: Get DPMS working with RandR 1.2.
    
    Work around xf86DisableUnusedFunctions lameness by forcing DPMSModeOn at modeset
    time.

commit 550af781bd9f7cb7256b298281c2c27febfc4722
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Apr 2 09:42:11 2007 -0700

    G80: Use the right mode struct when setting up an SOR.

commit 5c03bd8acfcc814890fb13c891be4f135ea800d4
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Apr 2 01:37:38 2007 -0700

    G80: Get HW cursor working with RandR 1.2.

commit 0126c809544cb3a0242fc3bce7ad82d4962aaf1c
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Apr 1 01:17:31 2007 -0700

    Remove extraneous DisplayModeRec allocation.
    
    Thanks to Luc Verhaegen for pointing this out.

commit d569934c3de326483347db00d34268b02101599c
Author: Henry Zhao <henryz@localhost.localdomain>
Date:   Sat Mar 31 18:47:30 2007 -0800

    10360: Need to inject a mode corresponding panel width/height for validation

commit 8f7769aadf175e8298f27387428214d6de49e6a5
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Mar 28 14:10:41 2007 -0700

    G80: Use xf86CrtcScreenInit and xf86SetDesiredModes.

commit 2d8d5bd597d760968b683d41ced6a0a76518ec26
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Mar 27 17:12:21 2007 -0700

    G80: Improve output detection.
    
    Detect output status for paired outputs together and cache status until the
    BlockHandler to avoid redundantly probing for EDIDs or performing load
    detection.

commit 4d929d383abe064b5334847eb466321a6bf30999
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Mar 27 15:56:52 2007 -0700

    REALLY bump to 2.0.1.
    
    I need more caffeine, or something.

commit 0953f081d1592b123dc27fb82d1cfecca079d5de
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Mar 27 15:46:38 2007 -0700

    Fix warnings and bump to 2.0.1.

commit 4b8ed8497a9ab6ef1316bfcce9f31d96dd4b3540
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Mar 27 13:33:11 2007 -0700

    G80: Create output partners.
    
    Each pair of outputs shares an I2C rec.  This will be used in a future change
    for the detect and get_modes routines.

commit ad4abba20b8a6db7b52898bc7159809539cbed43
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Mar 27 14:49:30 2007 -0700

    Fix warnings.

commit 7c2a31dec3d04111eaee5292c156753c316d52a9
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Mar 27 14:45:17 2007 -0700

    Fix broken prototype.

commit 16f51977d49e52079754b62f4a13754e56da1c9c
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Mar 19 12:00:36 2007 -0700

    NVSync hangs in EnterVT, so don't call it there.

commit ac84f228de689c6cb85eae827ec2443fabe67786
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Sun Mar 18 20:53:46 2007 -0700

    Bump to 2.0.0.

commit 4d15dd2c490cce739f2eb1474019c723da8ce32b
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Mar 16 16:14:00 2007 -0700

    Avoid hanging when switching modes on some nv4x cards.
    
    SUSE bug #235171.

commit 90c53c5322e50bce06996e3c857e6bf7531235d4
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Mar 15 17:07:25 2007 -0700

    Fix GXxor corruption on nv4x.
    
    SUSE bug #246421.

commit 9763b9dcef144f649ccbcfd302601769bc940ffb
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Mar 15 14:39:07 2007 -0700

    Hide the cursor in CloseScreen.
    
    Otherwise, if we're restoring a graphical framebuffer mode the cursor will still
    be visible.

commit 9d65abab153cdf3ab2b7e3e2843d573b22ea6769
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Mar 14 21:16:04 2007 -0700

    Fix VGA output with vesafb on nv4x and G7x GPUs.
    
    SuSE bug #160812.

commit 26a9f1fa5a92eba7d4b6ddfa47c0517e604be130
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Mar 12 14:56:10 2007 -0700

    Get rid of non-portable := assignments.

commit 7e0e5c1fb38922add99db33f282baf2ee1531685
Author: root <root@treble.(none)>
Date:   Sun Mar 11 00:38:11 2007 -0800

    Initial RandR 1.2 support for G80.
    
    Mostly just rearranging code.

commit 636adcd57f1c5b33edf2d8fbf9e7fa9aac1ccb1a
Author: root <root@treble.(none)>
Date:   Sat Mar 10 22:12:39 2007 -0800

    Get rid of BackendMode and disable hw cursor for now.

commit 8b2c7bc457d34b7ed59cd08719bec8754ebf6fb8
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Mar 9 12:43:12 2007 -0800

    Use DAC load detection to decide which OR to use instead of trusting the EDID.

commit 06b168ced3cc4aa47cdad21a2351cca674fa26e0
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Mar 8 18:12:43 2007 -0800

    Enable G80 support by default.

commit 23383c2c2e1aa590f69197b1860053d5cb710cf7
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Feb 16 16:11:13 2007 -0800

    Initial G80 support.  Bump to 1.99.1.

commit dd305c3f64f9267d54324d734f1028bfc00e474f
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Jan 17 21:41:06 2007 -0800

    Remove the riva128 submodule.  Link Riva support into nv_drv.so directly.

commit 96bd57b0597dbbda0ca5c46c2135e5813c80d79f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Dec 24 06:34:31 2006 +0200

    configure.ac: bump to 1.2.2.1 (respin)
    No code changes, just built with an updated util-macros.

commit 10c7c54888d1dd4198c79e852c57420e8d52ccc5
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 16 01:47:42 2006 +0200

    bump to 1.2.2

commit 6d02bdb71bb34205955e76a99939a7be34c676c7
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 6 18:48:37 2006 +0200

    Makefile.am: make ChangeLog hook safer
    Make ChangeLog hook as safe as possible.

commit 33e10132a87409bdfa77d5eef9f7044cb9ce1ac9
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Dec 4 12:52:55 2006 -0800

    Remove redundant XORG_RELEASE_VERSION.

commit 2d4b4bb06029e60e5c7b96d94b31c8aadac91843
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Nov 30 17:41:41 2006 -0800

    Bump to 1.2.1.

commit 558ef7e26e361529a05360610abc3cbcdb04fd67
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Nov 30 17:36:29 2006 -0800

    Save and restore DAC0 register 608 when probing for connected CRTs.
    
    Adapted from a patch by Egbert Eich for Novell bug #220197.

commit 08bb966abbca11c4581d666af3249e4922156e03
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Nov 30 17:14:38 2006 -0800

    Use XORG_RELEASE_VERSION.

commit 162391f8fb640184db3917f3842fbff0bc9ce606
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Oct 26 19:08:29 2006 -0700

    Handle more than 1 digit in the version numbers.
    
    Based on a change by George Sapountzis <gsap7@yahoo.gr>.

commit 98372d0f94a9d658a7257d2199ef37a2449b9961
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Aug 11 16:02:28 2006 -0400

    Replace panel message + MODE_BAD with MODE_PANEL.

commit 43ec66396f805aba87017d193d97a03372c29909
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jun 30 12:54:44 2006 -0700

    Bump version to 1.2.0 for release.

commit 6265b77dc8878e36abd76b73e209a2d76d70ba22
Author: Mark Vojkovich <markv@xfree86.org>
Date:   Thu Jun 29 18:41:44 2006 -0700

    New chip support and new PCI IDs.

commit 5114639dff73c22845451acffed94f1da284a7df
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jun 19 09:32:11 2006 -0700

    Generate the ChangeLog from git history for dist.

commit 04d344dfcbb9928cf33943a880de333557e14be9
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Jun 16 18:03:21 2006 -0700

    Delete the ChangeLog.  The git history is just as good.

commit eda3bac20dce2d5584ac07cc6b28a08ec55aa798
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed May 24 15:05:22 2006 -0700

    Derive the module version numbers from the package version.  This idea was
    lifted from Michel Dänzer's similar code in xf86-video-ati.
    
    Also, make the riva and nv driver versions match.

commit 1a40c4a79b79034d191496726a27af8b0805dba6
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Apr 27 18:10:37 2006 -0700

    Add the libcwrapper back, conditionalized on the server version.

commit 425e30d58b7b62fff01fbb58585ee69b2df6fec1
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Apr 27 10:32:10 2006 -0700

    Determine whether PutImage hooks take a DrawablePtr by server version.  Remove
    dependency on xorg-server >= 1.0.99.901.

commit c34a93265cb42168376ebdf0746b3ccded9f126c
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Apr 25 14:38:43 2006 -0700

    Bump to 1.1.2 for new product names.

commit f70247ade9eac8fa6115889662abb8e678a182dc
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Apr 25 14:29:44 2006 -0700

    Add names for Quadro FX 5500, 3500, 1500, 560, 550, and 350.

commit ca4c8af624e87e5c6a2927092a9c230ae0e60c0e
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Apr 12 02:04:52 2006 -0700

    Add .gitignores.

commit fb3faeb6073cef5a6a1b094f3d3bf020ceba9db6
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Apr 8 01:38:33 2006 +0000

    Bump to 1.1.1 for Xv changes.

commit f793182898c4d844e9861a60a945f53ab7071adc
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Apr 7 23:11:06 2006 +0000

    Add a DrawablePtr argument to the XV functions to pave the way for
        redirected video.

commit cb6b4073df7404822e2b553519c3a101f2ab0524
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 19:40:34 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.1.0.

commit 3f140052f891a4dc674b82e438c9595e59b4676b
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Mar 27 21:40:24 2006 +0000

    Bump version to 1.0.2.0 for release.

commit 84c007b426d321786f9aec1d9fda14b5baa35561
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Fri Mar 10 02:29:03 2006 +0000

    Coverity nos. 868 and 869: Free the result of xf86GetEntityInfo.

commit 61e237eec7193701ce1236e67ebdfe7465b5db8a
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Jan 24 16:45:29 2006 +0000

    Fix typo in PCI ID (reported by Stefan Dirsch). Patch from Mark Vojkovich
        to XFree86 CVS on 2006-01-23.

commit 5064f8a903923ca4b819bdf345f8f4c9254bdf3b
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jan 23 00:04:41 2006 +0000

    New chip support from Mark Vojkovich's 2006-01-20 and 2006-01-21 XFree86
        CVS updates.

commit e8fd45625f2e09830136bde6bc70d51f25892450
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Mon Jan 2 01:54:19 2006 +0000

    Preliminary RandR rotation support. Bug #4708
        <https://bugs.freedesktop.org/show_bug.cgi?id=4708>

commit 5ec53e759c5233a26a6c80901b9f31b51153f756
Author: Kevin E Martin <kem@redhat.com>
Date:   Wed Dec 21 02:30:01 2005 +0000

    Update package version for X11R7 release.

commit b0c8ca8c03c8ad1648b4597f7825bac7531100a7
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:54 2005 +0000

    Stub COPYING files

commit 4fd25919c2a217d355419efdfbf0fe148af6c146
Author: Kevin E Martin <kem@redhat.com>
Date:   Thu Dec 15 00:24:18 2005 +0000

    Update package version number for final X11R7 release candidate.

commit e4194bab2a790af10581ea2842717623db8998a2
Author: Kevin E Martin <kem@redhat.com>
Date:   Tue Dec 6 22:48:36 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit baf60566b505fdf4387ec25789584b3f6ad72ce8
Author: Kevin E Martin <kem@redhat.com>
Date:   Sat Dec 3 05:49:34 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 4df200ea93b0a072f29057eeaf7a09e5a3a1dfe2
Author: Kevin E Martin <kem@redhat.com>
Date:   Fri Dec 2 02:16:09 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit d4d5d7325fab1ea81f71d1ffc1fbbcc2d2253a65
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:30:00 2005 +0000

    Only build dlloader modules by default.

commit d76f3f776bdab920d050542da45ec2871d4b84e6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:04:10 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit d4e306b585f737b4c1287c520470425b0c11dc32
Author: Kevin E Martin <kem@redhat.com>
Date:   Wed Nov 9 21:15:19 2005 +0000

    Update package version number for X11R7 RC2 release.

commit dde6dd1c7f95f9dccabfd919ad4ced795fe3fbd1
Author: Kevin E Martin <kem@redhat.com>
Date:   Tue Nov 1 15:08:53 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit 92b1bfcc8fd0f34e636a1e9955d5236334f78cd3
Author: Kevin E Martin <kem@redhat.com>
Date:   Wed Oct 19 02:48:03 2005 +0000

    Update package version number for RC1 release.

commit eda1cbc29cb0b2193a5bfb0eb620c740d9aef7c6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:01:53 2005 +0000

    Use @DRIVER_MAN_SUFFIX@ instead of $(DRIVER_MAN_SUFFIX) in macro
        substitutions to work better with BSD make

commit 6c58a05e405cbc87fbe0497123d9b82d2480bdd3
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Oct 17 22:57:34 2005 +0000

    More 1.7 braindamage: define EXTRA_DIST in terms of @DRIVER_NAME@ instead
        of indirectly

commit fc20886c28c465578e6bd3ef2d9fe62bd993382b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:09:04 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit 1e3c84f332b7b9a4b320b370b8b2ecafbbdd8f8a
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Oct 4 21:36:51 2005 +0000

    Link nvidida readme file into nvidia driver, Exclude duplicated neomagic
        readme

commit d8be62ab175a013f78d4944036da284ffad34d96
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Thu Sep 29 21:47:29 2005 +0000

    Add entries for GeForce Go 7800. (Change went into XFree86 on 2005-09-28).
    Don't hang if j is zero. This should never happen, but it's better to be
        safe than sorry.

commit e39eb8b8c1a79d04f90a195351c4eec3dba0d612
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Wed Sep 28 17:18:02 2005 +0000

    Bug #3333 <https://bugs.freedesktop.org/show_bug.cgi?id=3333> Patch #3417
        <https://bugs.freedesktop.org/attachment.cgi?id=3417>
    Fix a hang during screen-to-screen blits on certain GeForce 6xxx and Quadro
        FX 540 graphics cards.

commit dc5acc2e477edb85f468f8d46862ca138426cfd9
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Sep 23 16:25:28 2005 +0000

    Bug #4558 <https://bugs.freedesktop.org/show_bug.cgi?id=4558> Patch #3551
        <https://bugs.freedesktop.org/attachment.cgi?id=3381>
    22-Sep-2005 nv driver update from Mark Vojkovich: Fix possible cause of
        some acceleration instability on some GeForce6xxx parts.

commit b0ea43a51d2a6983559eecdb7dbb73c5e585697c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Sep 17 01:37:18 2005 +0000

    Bugzilla #4480 <https://bugs.freedesktop.org/show_bug.cgi?id=4480> Patch
        #3305 <https://bugs.freedesktop.org/attachment.cgi?id=3305>
    13-Sep-2005 nv driver update from Mark Vojkovich:
    - Adds PCI ids for GeForce 6800 XT cards
    - Adds names for existing PCI ids for some GeForce 6xxx & 7xxx cards
    - Fix a potential problem with pixmap cache corruption on GeForce 6xxx and
        7xxx parts. (Mark Vojkovich, NVIDIA)

commit cdf20033e2cfc9e8634876dd42613f7719340a5a
Author: Eric Anholt <anholt@freebsd.org>
Date:   Fri Sep 16 01:36:45 2005 +0000

    Put the riva_* files in the riva128.so subdriver, like monolithic.

commit 9b1b3184cd586f6f8bf65ebd6f3c1afb1ae64d64
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:47 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit 75a0deb6e9d1a5bc698ea67b338c56bc99c1b2c0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Aug 5 03:52:28 2005 +0000

    Bug #3987 <https://bugs.freedesktop.org/show_bug.cgi?id=3987> Patch #3264
        <https://bugs.freedesktop.org/attachment.cgi?id=3264> Workaround for
        512 Meg video cards (can only map 256 Meg of it). (Mark Vojkovich)

commit fb4033bd2662c199d7e4f0e3df7c4a0fb9870984
Author: Kevin E Martin <kem@redhat.com>
Date:   Fri Jul 29 21:22:44 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 6ea22f19210448605b9a18bf500c33168a77e77c
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 26 18:40:29 2005 +0000

    Build system for nv

commit 74772a7dc49e34229497441fbbf2631bfb259b39
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:29:58 2005 +0000

    Prep for modular builds by adding guarded #include "config.h" everywhere.

commit 80ac36ec4fbbd9a4aae1bde01fe6ebc1088fa8cb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 9 16:51:58 2005 +0000

    Bug #3740 <https://bugs.freedesktop.org/show_bug.cgi?id=3740> Patch #3058
        <https://bugs.freedesktop.org/attachment.cgi?id=3058>
    08-Jul-2005 nv driver updates from Mark Vojkovich:
    Change some console restore code for NV11. Hopefully, we can more reliably
        restore the console for desktop systems using DVI. This may correct a
        recent regression on NV11.
    Also, new PCI IDs.
    Add new nVidia PCI ids to match nv_driver.c changes.

commit 6b75bc13462f1cfb735fe1de359ed9e45b5f4415
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Jul 1 22:43:12 2005 +0000

    Change all misc.h and os.h references to <X11/foo.h>.

commit 270f5269a08da8ed0186e8a2223b673e0433a771
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jun 29 15:56:23 2005 +0000

    Bugzilla #3657 <https://bugs.freedesktop.org/show_bug.cgi?id=3657> Patch
        #2992 <https://bugs.freedesktop.org/attachment.cgi?id=2992>
        Experimental DPMS support for GeForce4 and later laptops. (Mark
        Vojkovich)

commit bf73c0716e9e4be0540d2ee7340bd5833831a434
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Jun 26 04:38:12 2005 +0000

    Bug #3628: Fix video driver submodule visibility.

commit 175766a44ceb0a5d4226e9088d8e3e6d73815b4f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:16:55 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit 8759399a3744f0eb1e0cdc83ed23aaaafb9be444
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Apr 21 22:25:47 2005 +0000

    programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c
    programs/Xserver/hw/xfree86/drivers/nv/nv_setup.c
    //bugs.freedesktop.org/show_bug.cgi?id=3095> Patch #2501
        <https://bugs.freedesktop.org/attachment.cgi?id=2501> nv DPMS panel
        fixes (Mark Vojkovich)

commit 2db214d7cf5336fbea36d83bc9b089f70a494614
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Apr 20 12:25:29 2005 +0000

    Fix includes right throughout the Xserver tree:
    change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
    change "foo.h", "extensions/foo.h" and "X11/foo.h" to
        <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
    change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.

commit 3fe983d254f1ffe3c285548013be677ed4a67137
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Feb 14 03:37:20 2005 +0000

    Bugzilla #2533 (https://bugs.freedesktop.org/show_bug.cgi?id=2533) Feb. 3,
        2005 "nv" driver update from Mark Vojkovich (Mainly driver updates for
        nVidia cards with ((pNv->Chipset & 0xfff0) == 0x0090) )

commit 8c95fdc889b56a76497f5194bafd06edfc962387
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jan 26 01:36:04 2005 +0000

    Jan. 2005 nv chipset update from Mark Vojkovich Bug #2380
        <https://bugs.freedesktop.org/show_bug.cgi?id=2380> Patch #1752
        <https://bugs.freedesktop.org/attachment.cgi?id=1752>

commit 67c89797f62ea53b37927c64e0403e7e7c42de56
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Dec 10 03:56:42 2004 +0000

    Bugzilla #1985 <https://bugs.freedesktop.org/show_bug.cgi?id=1985> sync to
        12/08/04 version of Nvidia driver from Mark Vojkovich, including these
        fixes since last sync: Fix some DAC/Graphics memory contention issues
        on newer NVIDIA chips (specifically, NV40). More PCI IDs. Also, I've
        had trouble getting some panels to work automagically so I expose an
        FPTweak option to let the user adjust a troublesome register.

commit 7c34d051168eba499beb20c40fd95703375f4c7b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Nov 10 02:53:44 2004 +0000

    (Bugzilla #1777) Import Mark Vojkovich's changes to NV driver since last
        sync with XFree86, including: Support for new NVIDIA chips. Egbert has
        a laptop that needs some DPMS ordering reversed. New chip support and
        workaround for Toshiba M30 laptop issue. PCI-Xpress chip support. DPMS
        support for DVI. Cursor changes for NV11 so that alpha blended cursors
        will work in conjunction with dithering (laptop panels). It previously
        did not. HW support for alpha blended stretch blits on NV5 and higher,
        though nothing is using them at this point. Add support for VBlank
        syncing the Xv Blit adaptor on hardware that supports it (NV11 and
        higher). Make console restoration a little more robust. We were making
        an assumption that failed on a newer laptop. Workaround for some NV31
        DVI artifacts.
    Also add nVidia license statement to nv man page to comply with requirement
        that it appear in "user documentation"

commit fcd6d7b57edb4e396189a0a2683bcf08974f3b59
Author: Egbert Eich <eich@suse.de>
Date:   Tue Oct 12 19:13:44 2004 +0000

    Set fbdev mode as the default mode on PPC (Olaf Hering).
    Added support for IBM space saver keyboard (Stefan Dirsch). Added support
        for Cherry CyMotion Master XPress (Marcus Schaefer).
    Change order of SetDisplayDevice(), HWRestore(), UnbindGART() and
        RestoreBIOSMemSize() to be exactly opposite to the Save procedure in
        EnterVT() (Matthias Hopf, Alan Hourihane).
    Fix text mode restauration by removing the assumption that the register
        which determines which head is programmed is set. to the active head by
        the BIOS (Mark Vojkovich).
    When I wrote the resource code 5 years ago I made some assumptions which
        turned out to be false: I've assumed that the bus number of the PCI
        hostbridge would be the PCI bus the bridge links to. This is not
        correct. Fixing this assumption is not easy. However I hope that the
        attached patch will make the system work regardless as it 'ignores'
        host bridges from which the target bus is not known. This should not
        matter at all as we really don't care about host bridges (unless we
        have bridge specific code which retrieves information about the
        bridge).
    Fixed server crash on reset when a structure allocated in PreInit() was
        freed on CloseScreen().
    Fixed ring buffer lock ups that happened because the structure that
        contained ringbuffer data was not zeroed after allocation.
    Fixed numerous warnings due to signed unsigned comparisons.
        programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c:
        (NVBacklightEnable): Changed the order in which the sequencer registers
        and the backlight control registers are written. The sequencer control
        register need to be written first otherwise DPMS screen blanking
        produces vertical bars on a mobile device. lib/Xau/Imakefile: Build
        libXau static library PIC so it can be linked into toolkits that would
        like to wrap its functionality.

commit 65e13fc61141b36a74c7a0e696d274574641ba20
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Sep 17 03:04:52 2004 +0000

    Bug #1192: Remove cfb support from drivers where its use is an option.
        Delete xf24_32bpp, as s3virge was the last user. Fix up some comments
        to refer to fb rather than cfb.

commit bbafc6d2fcb21671de3cfb4ff973409405162e7a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Aug 16 09:13:14 2004 +0000

    Bug #1087: Make sure all the *Weak symbols are documented in the import
        list, so the loader knows not to complain about unresolved symbols when
        an optional module isn't loaded. This typically manifests as warnings
        about fbdevHW symbols when the user isn't using the framebuffer
        console.

commit 8b6de7d388b7ae5169b2e38ad1a40981bc406cfc
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jul 31 01:21:19 2004 +0000

    Change several LoaderSymbol calls introduced by the bug #400 patch to
    *Weak() resolver functions.

commit f745157f15befebe01552b103c573ccb94b8f388
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Jul 30 20:30:53 2004 +0000

    Bug #400 (partial): Driver fixes for the dlloader. When using dlloader, all
        framebuffer formats except cfb and the overlay modes should work, and
        r128 and radeon need to be loaded from the ati driver (both issues to
        be fixed soon). Tested on i740, s3virge, mach64, tdfx, vesa, and vga
        drivers. elfloader users shouldn't be affected.

commit b9a6776bc04eb19343882bddb371b705677cfc14
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:23:29 2004 +0000

    DRI XFree86-4_3_99_12-merge import

commit cbf040deb0ab24425468ed60b3f3edd322ec210f
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:23:29 2004 +0000

    Initial revision

commit 99a7f7ccce4e012bde57021cafcb132c3d599b96
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:42:10 2004 +0000

    Merging XORG-CURRENT into trunk

commit 708bb2eb0db3808e3edf94a5f22b3e3f5bb6488d
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:30 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit fe564263d97e370817fc862e5c8ead09bfb70b58
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:23 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 1a0be799ce4c479e39f8af86fcca3d192e83f455
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:54 2004 +0000

    readding XFree86's cvs IDs

commit ee5c9ef51cea88a630ecc652512603c42b39a533
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:23 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit d176fa338d2d83bcf8d7ec68ff1aec205a258fec
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Mon Feb 23 20:35:04 2004 +0000

    Import most of XFree86 4.4RC3. This import excludes files which have the
        new license. If we want to, later we can import 4.4RC3 again and pick
        up the files that have the new license, but for now the vendor branch
        is "pure."

commit ea7a90e680a2e9259e471dd6677bcca12aeea79e
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:08:36 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit a6c83bd98c34aacdf7a6b82ea83d6ae775479502
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:55:14 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit 935c2adf58a10e6d3caa75823b4e7a0689555c49
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:38 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit d84248580d5b05bb47a2ccdce7badfc884efa6da
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:38 2003 +0000

    Initial revision

commit dd1a62caaaac6acc35584a2c8c525962d8574c95
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    XFree86 4.3.0.1

commit 2f223903fba2bdee1623f3442d7580c809b428cc
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    Initial revision

commit 542d57ea12b5461891a13a339e01ca9e1add124d
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:48 2003 +0000

    R6.6 is the Xorg base-line
